# GET Leagues by Country ID

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/motorsport/leagues/countries/COUNTRY_ID
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
    "data": {
        "id": 3468,
        "sport_id": 2,
        "country_id": 190324,
        "name": "Formula 1",
        "active": true,
        "short_code": "F1",
        "image_path": "https://cdn.sportmonks.com/images/motorsport/leagues/12/3468.png",
        "type": "league",
        "sub_type": "international",
        "last_played_at": "2025-06-13 21:00:00",
        "category": 1,
        "has_jerseys": false
    },
```

{% endtab %}

{% tab title="Field Description" %}

| Field            | Description                                                    | Type          |
| ---------------- | -------------------------------------------------------------- | ------------- |
| `id`             | Refers to the unique id of the league                          | integer       |
| `sport_id`       | Refers to the sport of the league                              | integer       |
| `country_id`     | Refers to the country of the league                            | integer       |
| `name`           | The name of the league                                         | string        |
| `active`         | Indicates if the league is active or inactive                  | integer       |
| `short_code`     | The short code of the league                                   | string / null |
| `image_path`     | Image path to the league logo                                  | string        |
| `type`           | Indicates the type of the league                               | string        |
| `sub_type`       | Indicates the subtype of the league                            | string        |
| `last_played_at` | The date of when the last fixture was being held in the league | string        |
| `category`       | Indicates the category of the league                           | integer       |
| `has_jerseys`    | Not used in the Motorsport API                                 | boolean       |
| {% endtab %}     |                                                                |               |
| {% endtabs %}    |                                                                |               |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the base entity</td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `2` nested includes on this endpoint

#### Include options

`sport` `country` `stages` `latest` `upcoming` `inplay` `today` `currentSeason` `seasons`&#x20;

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the Leagues endpoints are:

* [League](/v3/motorsport-api/endpoints-and-entities/entities/league.md)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/leagues?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/leagues?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/motorsport/leagues?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/motorsport/leagues?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/motorsport/leagues?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/motorsport/leagues?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/endpoints/leagues/get-leagues-by-country-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
